# Contributing to Eclipse Subversive

Thanks for your interest in this project.

## Project description

The Eclipse Subversive™ project is focused on development of an Eclipse
Platform plug-in which provides SVN support. From the project organization point
of view it is close to Eclipse CVS project and follows its concepts and Eclipse
best practices. Namely the project consists of Core and UI plugins and two SVN
Client plugins: JavaSVN, which provides a pure Java implementation; and JavaHL,
which provides a native implementation.

* https://projects.eclipse.org/projects/technology.subversive

## Terms of Use

This repository is subject to the Terms of Use of the Eclipse Foundation

* https://www.eclipse.org/legal/termsofuse.php

## Developer resources

Information regarding source code management, builds, coding standards, and
more.

* https://projects.eclipse.org/projects/technology.subversive/developer

The project maintains the following source code repositories

* https://gitlab.eclipse.org/eclipse/subversive/subversive-website.git
* https://gitlab.eclipse.org/eclipse/subversive/subversive.git

## Eclipse Development Process

This Eclipse Foundation open project is governed by the Eclipse Foundation
Development Process and operates under the terms of the Eclipse IP Policy.

* https://eclipse.org/projects/dev_process
* https://www.eclipse.org/org/documents/Eclipse_IP_Policy.pdf

## Eclipse Contributor Agreement

In order to be able to contribute to Eclipse Foundation projects you must
electronically sign the Eclipse Contributor Agreement (ECA).

* https://www.eclipse.org/legal/ECA.php

The ECA provides the Eclipse Foundation with a permanent record that you agree
that each of your contributions will comply with the commitments documented in
the Developer Certificate of Origin (DCO). Having an ECA on file associated with
the email address matching the "Author" field of your contribution's Git commits
fulfills the DCO's requirement that you sign-off on your contributions.

For more information, please see the Eclipse Committer Handbook:
https://www.eclipse.org/projects/handbook/#resources-commit

## Contact

Contact the project developers via the project's "dev" list.

* https://dev.eclipse.org/mailman/listinfo/subversive-dev